<?xml version="1.0" encoding="utf-8"?>
<!--Generated by DFIN XBRL Instance Document - http://www.dfinsolutions.com/ - Version R3.0 - on 07-March-2023 [01:55:44] {AM}-->
<schema targetNamespace="http://www.blackrock.com/20230306" elementFormDefault="qualified" xmlns:cik0001051003="http://www.blackrock.com/20230306" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:us-gaap="http://fasb.org/us-gaap/2022" xmlns:country="http://xbrl.sec.gov/country/2022" xmlns:currency="http://xbrl.sec.gov/currency/2022" xmlns:dei="http://xbrl.sec.gov/dei/2022" xmlns:exch="http://xbrl.sec.gov/exch/2022" xmlns:naics="http://xbrl.sec.gov/naics/2022" xmlns:sic="http://xbrl.sec.gov/sic/2022" xmlns:us-types="http://fasb.org/us-types/2022" xmlns:stpr="http://xbrl.sec.gov/stpr/2022" xmlns:deprecated="http://www.xbrl.org/2009/arcrole/fact-explanatoryFact" xmlns:srt="http://fasb.org/srt/2022" xmlns:srt-types="http://fasb.org/srt-types/2022" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" xmlns:cef="http://xbrl.sec.gov/cef/2022">
<annotation>
<appinfo>
<link:roleType roleURI="http://www.blackrock.com/role/N2FeeTable" id="N2FeeTable">
<link:definition>1001 - Disclosure - N-2 - [Fee Table]</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.blackrock.com/role/N2SeniorSecurities" id="N2SeniorSecurities">
<link:definition>1002 - Disclosure - N-2 - [Senior Securities]</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.blackrock.com/role/N2InvestmentObjectives" id="N2InvestmentObjectives">
<link:definition>1003 - Disclosure - N-2 - [Investment Objectives]</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.blackrock.com/role/N2RiskFactors" id="N2RiskFactors">
<link:definition>1004 - Disclosure - N-2 - [Risk Factors]</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.blackrock.com/role/N2EffectsOfLeverage" id="N2EffectsOfLeverage">
<link:definition>1005 - Disclosure - N-2 - [Effects of Leverage]</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.blackrock.com/role/N2SharePriceTable" id="N2SharePriceTable">
<link:definition>1006 - Disclosure - N-2 - [Share Price Table]</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.blackrock.com/role/N2CapitalStock" id="N2CapitalStock">
<link:definition>1007 - Disclosure - N-2 - [Capital Stock]</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:roleType roleURI="http://www.blackrock.com/role/N2OutstandingSecurities" id="N2OutstandingSecurities">
<link:definition>1008 - Disclosure - N-2 - [Outstanding Securities]</link:definition>
<link:usedOn>link:presentationLink</link:usedOn>
<link:usedOn>link:definitionLink</link:usedOn>
<link:usedOn>link:calculationLink</link:usedOn>
</link:roleType>
<link:linkbaseRef xlink:type="simple" xlink:href="cik0001051003-20230306_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="cik0001051003-20230306_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
<link:linkbaseRef xlink:type="simple" xlink:href="cik0001051003-20230306_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" />
</appinfo>
</annotation>
<import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
<import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
<import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
<import namespace="http://xbrl.sec.gov/dei/2022" schemaLocation="https://xbrl.sec.gov/dei/2022/dei-2022.xsd" />
<import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" />
<import namespace="http://xbrl.sec.gov/cef/2022" schemaLocation="https://xbrl.sec.gov/cef/2022/cef-2022.xsd" />
<element name="CommonSharesMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_CommonSharesMember" substitutionGroup="xbrli:item" />
<element name="MarketRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_MarketRiskMember" substitutionGroup="xbrli:item" />
<element name="InfectiousIllnessRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_InfectiousIllnessRiskMember" substitutionGroup="xbrli:item" />
<element name="ValuationRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_ValuationRiskMember" substitutionGroup="xbrli:item" />
<element name="CounterpartyCreditRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_CounterpartyCreditRiskMember" substitutionGroup="xbrli:item" />
<element name="ConcentrationRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_ConcentrationRiskMember" substitutionGroup="xbrli:item" />
<element name="LiborTransitionRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_LiborTransitionRiskMember" substitutionGroup="xbrli:item" />
<element name="InvestmentAndMarketDiscountRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_InvestmentAndMarketDiscountRiskMember" substitutionGroup="xbrli:item" />
<element name="DebtSecuritiesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_DebtSecuritiesRiskMember" substitutionGroup="xbrli:item" />
<element name="U.s.GovernmentObligationsRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_U.s.GovernmentObligationsRiskMember" substitutionGroup="xbrli:item" />
<element name="U.s.GovernmentMortgagerelatedSecuritiesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_U.s.GovernmentMortgagerelatedSecuritiesRiskMember" substitutionGroup="xbrli:item" />
<element name="MortgageAndAssetbackedSecuritiesRisksMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_MortgageAndAssetbackedSecuritiesRisksMember" substitutionGroup="xbrli:item" />
<element name="SeniorLoansRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_SeniorLoansRiskMember" substitutionGroup="xbrli:item" />
<element name="RisksOfLoanAssignmentsAndParticipationsMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_RisksOfLoanAssignmentsAndParticipationsMember" substitutionGroup="xbrli:item" />
<element name="RepurchaseAgreementsAndPurchaseAndSaleContractsRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_RepurchaseAgreementsAndPurchaseAndSaleContractsRiskMember" substitutionGroup="xbrli:item" />
<element name="ForeignSecuritiesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_ForeignSecuritiesRiskMember" substitutionGroup="xbrli:item" />
<element name="EmergingMarketsRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_EmergingMarketsRiskMember" substitutionGroup="xbrli:item" />
<element name="EquitySecuritiesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_EquitySecuritiesRiskMember" substitutionGroup="xbrli:item" />
<element name="PreferredSecuritiesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_PreferredSecuritiesRiskMember" substitutionGroup="xbrli:item" />
<element name="ConvertibleSecuritiesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_ConvertibleSecuritiesRiskMember" substitutionGroup="xbrli:item" />
<element name="WarrantsRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_WarrantsRiskMember" substitutionGroup="xbrli:item" />
<element name="RealEstaterelatedSecuritiesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_RealEstaterelatedSecuritiesRiskMember" substitutionGroup="xbrli:item" />
<element name="DerivativesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_DerivativesRiskMember" substitutionGroup="xbrli:item" />
<element name="StructuredNotesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_StructuredNotesRiskMember" substitutionGroup="xbrli:item" />
<element name="LeverageRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_LeverageRiskMember" substitutionGroup="xbrli:item" />
<element name="ReverseRepurchaseAgreementsRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_ReverseRepurchaseAgreementsRiskMember" substitutionGroup="xbrli:item" />
<element name="DollarRollsRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_DollarRollsRiskMember" substitutionGroup="xbrli:item" />
<element name="ShortSalesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_ShortSalesRiskMember" substitutionGroup="xbrli:item" />
<element name="IlliquidInvestmentsRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_IlliquidInvestmentsRiskMember" substitutionGroup="xbrli:item" />
<element name="InvestmentCompaniesAndEtfsRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_InvestmentCompaniesAndEtfsRiskMember" substitutionGroup="xbrli:item" />
<element name="MarketRiskAndSelectionRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_MarketRiskAndSelectionRiskMember" substitutionGroup="xbrli:item" />
<element name="CorporateLoansRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_CorporateLoansRiskMember" substitutionGroup="xbrli:item" />
<element name="VariableAndFloatingRateInstrumentRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_VariableAndFloatingRateInstrumentRiskMember" substitutionGroup="xbrli:item" />
<element name="JunkBondsRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_JunkBondsRiskMember" substitutionGroup="xbrli:item" />
<element name="DistressedSecuritiesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_DistressedSecuritiesRiskMember" substitutionGroup="xbrli:item" />
<element name="CollateralizedBondObligationsRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_CollateralizedBondObligationsRiskMember" substitutionGroup="xbrli:item" />
<element name="CollateralizedDebtObligationsRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_CollateralizedDebtObligationsRiskMember" substitutionGroup="xbrli:item" />
<element name="SovereignDebtRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_SovereignDebtRiskMember" substitutionGroup="xbrli:item" />
<element name="BradyBondsRisk.Member" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_BradyBondsRisk.Member" substitutionGroup="xbrli:item" />
<element name="SupranationalEntitiesRiskMember" type="dtr-types:domainItemType" abstract="true" xbrli:periodType="duration" nillable="true" id="cik0001051003_SupranationalEntitiesRiskMember" substitutionGroup="xbrli:item" />
</schema>
